curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/jobs/skill_clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": true
}
],
"include": [
"skills"
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/jobs/skill_clusters"
payload = {
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": True
}
],
"include": ["skills"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
starting_after: '4cbdbabe-5644-4423-8157-520f8a2f429a',
filters: [{filter: 'is_active', is_active: true}],
include: ['skills']
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/jobs/skill_clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_next": true,
"records": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_clusters": [
{
"skill_cluster_id": "51e605a8-ca08-4ba6-a359-28bad07b38f6",
"skill_cluster_name": "DevOps",
"domain_name": "Computer Science",
"skills": [
{
"skill_name": "Git",
"skill_id": "ed8a3b44-59a0-44a6-a283-6c0e4b303be1",
"skill_types": [
{
"skill_type": "Job-Specific",
"is_common": true
}
]
}
]
},
{
"skill_cluster_id": "df96accd-cfa9-414e-96e8-2f6421e9a768",
"skill_cluster_name": "Programming Languages",
"domain_name": "Computer Science",
"skills": [
{
"skill_name": "Python",
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill_types": [
{
"skill_type": "Family-Specific"
}
]
},
{
"skill_name": "Java",
"skill_id": "9e914d31-9db1-4d2d-8d16-ed8a88539879",
"skill_types": [
{
"skill_type": "Job-Specific",
"is_common": true
}
]
}
]
}
]
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"skill_clusters": [
{
"skill_cluster_id": "32575bc1-5c01-4d6f-89dc-8b4dceccf98a",
"skill_cluster_name": "Financial accounting",
"domain_name": "Finance",
"skills": [
{
"skill_name": "Balance Sheet",
"skill_id": "8313fe8a-f39e-4a35-8c82-93b46c3de9bb",
"skill_types": [
{
"skill_type": "Job-Specific"
}
]
},
{
"skill_name": "IFRS",
"skill_id": "bdb5ee3f-8ba0-4c40-92b2-0277431ae069",
"skill_types": [
{
"skill_type": "Job-Specific",
"is_common": true
}
]
}
]
}
]
}
],
"next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002"
}[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Export Job Skill Clusters data.
Export all Skill Clusters for all Jobs by paginating through the data. The Jobs are returned based on their creation time, with those created first being returned first.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The number of Jobs to show on a single page.
1 <= x <= 10010
The external_id of the Job to continue looking from.
100"4cbdbabe-5644-4423-8157-520f8a2f429a"
A set of filters to apply on the exported Jobs.
- is_active
- last_updated
Show child attributes
Show child attributes
Expand the results with extra data.
Include:
skills- Show the Skill breakdown of the Job Skill Clusters
skills ["skills"]
Response
OK
True when there is more data after this page.
true
A list containing the requested data for each entity, limited by the limit parameter.
Show child attributes
Show child attributes
[ { "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a", "skill_clusters": [ { "skill_cluster_id": "51e605a8-ca08-4ba6-a359-28bad07b38f6", "skill_cluster_name": "DevOps", "domain_name": "Computer Science", "skills": [ { "skill_name": "Git", "skill_id": "ed8a3b44-59a0-44a6-a283-6c0e4b303be1", "skill_types": [ { "skill_type": "Job-Specific", "is_common": true } ] } ] }, { "skill_cluster_id": "df96accd-cfa9-414e-96e8-2f6421e9a768", "skill_cluster_name": "Programming Languages", "domain_name": "Computer Science", "skills": [ { "skill_name": "Python", "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b", "skill_types": [{ "skill_type": "Family-Specific" }] }, { "skill_name": "Java", "skill_id": "9e914d31-9db1-4d2d-8d16-ed8a88539879", "skill_types": [ { "skill_type": "Job-Specific", "is_common": true } ] } ] } ] }, { "external_id": "61a6e076-d780-11ec-9d64-0242ac120002", "skill_clusters": [ { "skill_cluster_id": "32575bc1-5c01-4d6f-89dc-8b4dceccf98a", "skill_cluster_name": "Financial accounting", "domain_name": "Finance", "skills": [ { "skill_name": "Balance Sheet", "skill_id": "8313fe8a-f39e-4a35-8c82-93b46c3de9bb", "skill_types": [{ "skill_type": "Job-Specific" }] }, { "skill_name": "IFRS", "skill_id": "bdb5ee3f-8ba0-4c40-92b2-0277431ae069", "skill_types": [ { "skill_type": "Job-Specific", "is_common": true } ] } ] } ] } ]
The next starting_after value for pagination.
100"61a6e076-d780-11ec-9d64-0242ac120002"
Was this page helpful?